# 上传单条数据


## 修改历史


## 接口定义

    /v1/upload_diopter_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}/{activeAccount}
    X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters

    dataId          {String}    唯一ID ，由Android端生成
    studentId       {int}       学生ID
    leftEye         {String}     <REFL0162.012.00-03.00+--02.50-01.00170>
    rightEye        {String}     <REFR0162.012.00-03.00+--02.50-01.00170>
    testTime        {int}
    classId         {int}       班级ID

## Response


### Example

**Command**

    curl -X POST \
    	    -H "X-DeviceInformation: 11%2f22%2f141" \
            -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           -d 'dataId=1DE5CAAA-DB46-419A-8162-EC853DAEA5CF&studentId=549&leftEye=<REFL0162.012.00-03.00+--02.50-01.00170>&rightEye=<REFR0162.012.00-03.00+--02.50-01.00170>&testTime=1560426091&classId=111111' \
       http://localhost:8080/v1/upload_diopter_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }